#ifndef _HAND_DRAWN_MODULE
#define _HAND_DRAWN_MODULE

#include "ofMain.h"
#include "ofVec3f.h"
#include "graphicsModuleBase.h"
#include "lineDrawer.h"


class handDrawnModule : public graphicsModuleBase {
	
	public:
		
		handDrawnModule();
		
		void 		setup();
		void 		reset();
	 	void 		update();
		void 		draw();
		bool 		bAmIdone();
		
		ofVec3f		getStartPosition();
		float		getStartAngle();
		
		ofVec3f 	pos;
		bool 		bNewPos;
		bool 		bDone;
		float 		lastTimePressed;	// detect double click
		bool 		bPressed;
		
		ofVec3f 	* clicks;
		int 		maxClickNum;
		int 		nClicks;
		ofImage 	arrow;
		
		
		lineDrawer	* ld;
};

#endif	